Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 586460 - rhythmbox plugin for Mozilla Firefox
rhythmbox plugin for Mozilla Firefox
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-27 12:36 EDT by Stefan Schulze Frielinghaus
Modified: 2012-08-16 13:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 13:20:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Schulze Frielinghaus 2010-04-27 12:36:55 EDT
Description of problem:
The rhythmbox RPM file includes a plugin for the Mozilla Firefox browser but does not require it. If the browser is not installed then there would be no directory in which RPM could install the plugin (since the package does not own the directory).


Solution:
Why not create a second RPM file which only includes the plugin for Firefox? This package could then require a browser. This would also help people who do not want the plugin to be installed (I always have to remove the file manually). Quite a few other packages do it this way too:
gnash-plugin
mozilla-vlc
openvrml-mozilla-plugin
swfdec-mozilla
totem-mozplugin
xine-plugin
And probably more.

%package mozilla-plugin
Summary: Plugin for a web browser ...
Requires: %{name} = %{version}-%{release}
Requires:  %{_libdir}/mozilla/plugins webclient
Group: Applications/Internet

Any thoughts?
Comment 1 Stefan Schulze Frielinghaus 2010-06-13 13:20:13 EDT
Hello. Anyone there?

First try to contact package maintainer failed.
Comment 2 Bastien Nocera 2010-06-14 06:33:54 EDT
Because the mozilla plugin isn't necessary for Rhythmbox to work. So it's installed and optional.

What was the point of this bug?

(In reply to comment #1)
> Hello. Anyone there?
> 
> First try to contact package maintainer failed.    

Excuse me? Do you know how many bugs I get in the RH bugzilla? I'd appreciate if you didn't put ultimatums in my bugs.
Comment 3 Stefan Schulze Frielinghaus 2010-06-14 08:25:10 EDT
(In reply to comment #2)
> Because the mozilla plugin isn't necessary for Rhythmbox to work. So it's
> installed and optional.
> 
> What was the point of this bug?

You make assumptions that Mozilla Firefox is always installed. The rhythmbox RPM package installs its plugin into %{_libdir}/mozilla/plugins/ but if Firefox is not installed then this would fail because you didn't require that directory. Or did I miss something? Have a look at my first post where other RPM packages are listed and how they handle this.

> > (In reply to comment #1)
> > Hello. Anyone there?
> > 
> > First try to contact package maintainer failed.    
> 
> Excuse me? Do you know how many bugs I get in the RH bugzilla? I'd appreciate
> if you didn't put ultimatums in my bugs.    

I didn't put any ultimatums. Please, don't take it personally. I just didn't get any response neither by email nor via bugzilla. Therefore, I thought I should follow the nonresponsive package maintainer policy. See http://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers
Comment 4 Bug Zapper 2010-07-30 07:29:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2012-08-16 13:20:13 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.